Thread (2 messages) flat view 2 messages, 2 authors, 2016-06-15

Re: git clone problem through HTTP

From: Junio C Hamano <hidden>
Date: 2016-06-15 22:43:06

Junio C Hamano [off-list ref] writes:
quoted hunk
[[manual workaround to make it work with existing tools]]
... should work, because I knew about this problem and fixed it in
git-fetch in v1.5.0.

Alas, I forgot to update the matching code in git-clone.

This is why I keep saying that we should get rid of as much code
from git-clone, and make it essentially a thin wrapper around
the six commands I quoted above.

---
diff --git a/git-clone.sh b/git-clone.sh
index 513b574..cad5c0c 100755
--- a/git-clone.sh
+++ b/git-clone.sh
@@ -60,7 +60,7 @@ Perhaps git-update-server-info needs to be run there?"
 		else
 			tname=$name
 		fi
-		git-http-fetch $v -a -w "$tname" "$name" "$1" || exit 1
+		git-http-fetch $v -a -w "$tname" "$sha1" "$1" || exit 1
 	done <"$clone_tmp/refs"
 	rm -fr "$clone_tmp"
 	http_fetch "$1/HEAD" "$GIT_DIR/REMOTE_HEAD" ||
I've applied the above patch on top of 'maint' and it clones
Linus's reopsitory over http just fine.  I will include this fix
in upcoming maintenance release v1.5.1.2.

Thanks for reporting the breakage.
Keyboard shortcuts
hback out one level
jnext message in thread
kprevious message in thread
ldrill in
Escclose help / fold thread tree
?toggle this help